scala.tools.cmd

# Property

#### trait Property extends Reference

Source
  Property.scala

Linear Supertypes
Reference, Spec, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Property
2. Reference
3. Spec
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### type OptionMagic = Opt.Reference

   Definition Classes
     Reference → Spec

2. #### class SpecCommandLine extends CommandLine

   Definition Classes
     Reference

3. #### abstract type ThisCommandLine <: CommandLine

   Definition Classes
     Reference

### Abstract Value Members

1. #### abstract def creator(args: List[String]): ThisCommandLine

   Attributes
     protected
   Definition Classes
     Reference

2. #### abstract def programInfo: Info

   Definition Classes
     Spec

3. #### abstract def propMapper: PropertyMapper

4. #### abstract def referenceSpec: Reference

   Definition Classes
     Spec

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Property to any2stringadd[Property] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Property, B)

   Implicit information
     This member is added by an implicit conversion from Property to ArrowAssoc[Property] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def apply(args: String*): ThisCommandLine

   Definition Classes
     Reference

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def ensuring(cond: (Property) ⇒ Boolean, msg: ⇒ Any): Property

   Implicit information
     This member is added by an implicit conversion from Property to Ensuring[Property] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: (Property) ⇒ Boolean): Property

    Implicit information
      This member is added by an implicit conversion from Property to Ensuring[Property] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean, msg: ⇒ Any): Property

    Implicit information
      This member is added by an implicit conversion from Property to Ensuring[Property] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean): Property

    Implicit information
      This member is added by an implicit conversion from Property to Ensuring[Property] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def expandArg(arg: String): List[String]

    Definition Classes
      Reference

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Property to StringFormat[Property] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### def heading(str: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Spec

21. #### def help(str: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Reference → Spec

22. #### def helpMsg: String

    Definition Classes
      Reference

23. #### def isBinaryOption(s: String): Boolean

    Definition Classes
      Reference

24. #### def isExpandOption(s: String): Boolean

    Definition Classes
      Reference

25. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

26. #### def isUnaryOption(s: String): Boolean

    Definition Classes
      Reference

27. #### def loadProperties(file: File): Properties

28. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

29. #### final def notify(): Unit

    Definition Classes
      AnyRef

30. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

31. #### implicit def optionMagicAdditions(name: String): Opt.Reference

    Attributes
      protected
    Definition Classes
      Reference → Spec

32. #### lazy val options: Accumulators

    Definition Classes
      Reference

33. #### def propertiesToOptions(props: List[(String, String)]): collection.immutable.List[String]

34. #### def propertiesToOptions(props: Properties): List[String]

35. #### def propertiesToOptions(file: File): List[String]

36. #### def propertyArgs: List[String]

    Definition Classes
      Property → Reference

37. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

38. #### def systemPropertiesToOptions: List[String]

39. #### def toString(): String

    Definition Classes
      AnyRef → Any

40. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### def →[B](y: B): (Property, B)

    Implicit information
      This member is added by an implicit conversion from Property to ArrowAssoc[Property] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Reference

### Inherited from Spec

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Property to any2stringadd[Property]

### Inherited by implicit conversion StringFormat from Property to StringFormat[Property]

### Inherited by implicit conversion Ensuring from Property to Ensuring[Property]

### Inherited by implicit conversion ArrowAssoc from Property to ArrowAssoc[Property]

### Ungrouped